DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# TestObjectCreate

TestObject generation function

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_TestObjectCreate ( object, testObject, objectHeight, objectRadius, scale, scaleRadius, scaleAmplitude, objSigma, position, random )

## DATA TYPES

Output: sfloat

## FUNCTION

This function can generate an aliasing free object (ellips, box, ellipsoid shell, box shell) or uses an user-supplied object. The generated objects have their origin at the center in the image, but can be generated with a sub-pixel random shift around the center, to average out dicretization effects over several instances of the same generated object. Optinally the generated object can be convolved with an isotropic Gaussian with a width specified by `objSigma`. Elliptical objects are only supported for images with a dimsnionality equal or less than three. The `position` boolean variable specifies whether a subpixel random shift should be applied to the object. This can be used to average out digitisation error over a repetition of the generation of the same object.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `object` | Output Object Image
`dipf_TestObject` | `testObject` | Type of Test Object
`dip_float` | `objectHeight` | Object Height
`dip_float` | `objectRadius` | Object Radius
`dip_FloatArray` | `scale` | Relative Radii for each dimension
`dip_float` | `scaleRadius` | ScaleRadius
`dip_float` | `scaleAmplitude` | ScaleAmplitude
`dip_float` | `objSigma` | Sigma of Gaussian Object Blur
`dip_Boolean` | `position` | Random Subpixel Position Shift
`dip_Random *` | `random` | Pointer to a random value structure

## SEE ALSO

`TestObjectModulate`, `TestObjectBlur`, `TestObjectAddNoise`

DIPlib on-line documentation | Function reference | Global function index